# Demand Factors

## dDAFI

The first of many synthetic rewards, which are tied to network demand factors.

$$
dDAFI = DAFI \* demandFactor
$$

As Super Staking is designed to be highly customizable, the demand metrics which dTokens are pegged to, can change.&#x20;

Examples include – Number of wallet holders, number of NFT transactions for liquidity, number of nodes in a protocol, even the amount of social followers for creators & communities.&#x20;

These demand metrics can be mixed as a cocktail to create a more complex dToken. Alternatively, they can be more simple, with only one metric, which offers a more prediction-like market, depending on the desired use-case.&#x20;

Protocols can even create several dTokens, each with their own demandFactors, used within their desired utility. The applications are vast, and DAFI is able to support many in the next product launches.

However, in this first v1 dDAFI launch, we have chosen Price and TVL as the demand metrics. The chosen target levels are $0.18 and 500M, for Price and TVL respectively. The TVL metric will only be added in Q4 after launching.

It’s important to note that these levels can be extended and modified periodically, as a network becomes more adopted.

$$
demandFactor = ((currentPrice / baselinePrice) \* 0.75) + ((currentTVL / baselineTVL) \*0.25)
$$

$$
demandFactor => 0.10,  or =< 1.00
$$

$$
quantityChange = dDAFI \* (newDemandFactor / oldDemandFactor)
$$

Onchain and Market data is provided through oracle feeds, sourced from Chainlink, DIA and Band as close partners.

Each time a user initiates an action within the Staking Network (e.g. Stakes, Unstakes, Claims) it acts as a trigger, which calculates the latest demandFactor, and updates the demandFactor across the whole network automatically.

Also, the demandFactor cannot decline below 0.10 or rise above 1.00. The former condition is to ensure sharp declines in any market do not lead to zero rewards. The latter is to ensure that the maxTokens allocated are never exceeded.<br>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.dafiprotocol.io/guides/demand-factors.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
